﻿using System;
using BindingTests.Model;
using BindingTests.Views;
using Wisej.Web;

namespace BindingTests
{
    public partial class MainPage : Page
    {
        public MainPage()
        {
            InitializeComponent();

            VendorList.GetVendorList();
        }

        private void textBoxBindingButton_Click(object sender, EventArgs e)
        {
            var textBoxBinding = new TextBoxBinding();
            var result = textBoxBinding.ShowDialog();
        }

        private void dataGridBindingButton_Click(object sender, EventArgs e)
        {
            var dataGridBinding = new DataGridBinding();
            var result = dataGridBinding.ShowDialog();
        }

        private void allBindingsButton_Click(object sender, EventArgs e)
        {
            var allBindings = new AllBindings();
            var result = allBindings.ShowDialog();
        }
    }
}